

<?php 

// functions library
require('functions.php');

// load file info for navigations
$_url = pathinfo($_SERVER['REQUEST_URI']);
$_file = $_url['basename'];
$_path = $_url['filename'];

// default language
$_GET['l'] = empty($_GET['l']) ? 'ind' : $_GET['l'];

// page array
$page = [];

switch ($_path) {

	// homepage
	case '':
	case 'kara':
	case 'index':

		// load news
		$indexNews = getNewsHome($_GET['l']);

		// load ingredients used for other recipes
		$indexRecipes = getRecipesHome($_GET['l']);

		// get ingredients for each recipe
		$indexIngs = getIngs($indexRecipes);
		
	break;

	case 'news':

		$table = getNews($_GET['l']);

		// product name for page title SEO
		$page['title'] = 'KARA - Products';
		
	break;

	case 'products':

		$_GET['c'] = empty($_GET['c']) ? null : $_GET['c'];

		// product name for page title SEO
		$page['title'] = 'KARA - Products';
		
	break;

	case 'product-view':

		$_GET['v'] = empty($_GET['v']) ? null : $_GET['v'];

		// load model
		$model = getRow('products',$_GET['v'],'url');

		// load claims
		if (!empty($model['claim_ids'])) {
			$claims = getClaims($model);
		} else {
			$claims = false;
		}

		// product name for page title SEO
		$page['title'] = $model['name'];

	break;

	case 'recipes':

		$table = getRecipes($_GET['l']);

		// get ingredients for each recipe
		$ings = getIngs($table);

	break;

	case 'recipe-view':

		$_GET['v'] = empty($_GET['v']) ? null : $_GET['v'];

		// load model
		$model = getRowRecipes('recipes',$_GET['v'],'url');

		// load ingredients used for model
		if($model['ingredients'] != 0){
			$ings = explode(',', $model['ingredients']);
			if(!empty($model['ingredients_alt'])){
				$ings_alts = explode(',', $model['ingredients_alt']);
			}
			foreach ($ings as $k => $v) {
				$ings[$k] = getRowRecipes('products',$v);
			}
		}

		// load ingredients used for other recipes
		$otherRecipes = getRecipesHome($_GET['l']);

		// get ingredients for each recipe
		$otherIngs = getIngs($otherRecipes);

		// product name for page title SEO
		$page['title'] = $model['name'];

	break;

	case 'news-view':

		$_GET['v'] = empty($_GET['v']) ? null : $_GET['v'];

		// load model
		$model = getRow('news',$_GET['v'],'url');

		// product name for page title SEO
		$page['title'] = $model['title'];

	break;

	case 'karaisland':

		$table = getKaraislandProducts($_GET['l']);

		// product name for page title SEO
		$page['title'] = 'KARA Island';

	break;

	case 'karaisland-mobile':

		$table = getKaraislandMobileProducts($_GET['l']);

		// product name for page title SEO
		$page['title'] = 'KARA Island';

	break;
}
